# gcu::ChainElt Struct Reference

`#include <gcu/chain.h>`

List of all members.

## Public Attributes

Bond * | fwd
Bond * | rev

## Detailed Description

This structure stores the two bonds of sharing one atom in a chain. One (or both) can be NULL if the atom is at start or end of the chain.

Definition at line 43 of file chain.h.

## Member Data Documentation

Bond* gcu::ChainElt::fwd

The bond in the forward direction

Definition at line 48 of file chain.h.

Bond* gcu::ChainElt::rev

The bond in the backward direction

Definition at line 52 of file chain.h.

The documentation for this struct was generated from the following file:

- chain.h